mempool_free
Prev | More Memory Management Functions | Next

## Name

mempool_free — return an element to the pool.

## Synopsis

`void mempool_free (` | void * | element,
| mempool_t * | pool`)`;

## Arguments

`element`

  pool element pointer.

`pool`

  pointer to the memory pool which was allocated via `mempool_create`.

## Description

this function only sleeps if the `free_fn` function sleeps.

Prev | Up | Next
mempool_alloc | Home | dma_pool_create